## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iHazeHullCreation Member List

This is the complete list of members for iHazeHullCreation, including all inherited members.

AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
CreateBox(const csVector3 &min, const csVector3 &max) const =0 | iHazeHullCreation | `[pure virtual]`
CreateCone(int nr_sides, const csVector3 &start, const csVector3 &end, float srad, float erad) const =0 | iHazeHullCreation | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`